intro = room {
    nam = 'История',
--    pic = 'images/movie_101.gif',
    dsc = [[Шёл 2453 год. В 2070 году человечество начало колонизацию отдалённых планет галактики. Первая экспедиция была отправлена на Тропос — ближайшую пригодную для человека планету, располагавшуюся на расстоянии 6,8 световых лет от Земли. Постепенно Тропос обособился. Люди на Тропосе не страдали от перенаселения, как на Земле. «Смените дом на дом» — утверждали глянцевые брошюры, предназначенные для привлечения будущих колонистов, но более точным было бы использовать фразу «более земной чем земной», поскольку на Земле манеры и привычки конца двадцать первого века вскоре стали несовременными, а на Тропосе всё оставалось по-прежнему. Хитрые агенты бюро путешествий обычно рекламировали поездки на Тропос как «путешествие в прошлое».^
            Спустя какое-то время на Тропосе был обнаружен зиридиум. С изобретением устройства альфа-зиридиум, которое позволило космическим кораблям ускоряться, вместо того, чтобы двигаться с постоянной скоростью, землянам стали доступны другие планеты. Вскоре была обнаружена ещё одна планета, пригодная для человека — Радикс.]],
    obj = { vway('3', '{Далее}', 'intro_2') },
};


intro_2 = room {
    nam = '...',
    dsc = [[Одним из непредвиденных факторов при заселении планеты является то, что любые новые виды вынуждены приспосабливаться к жизни на планете. Радикс был очень плодородной планетой. Жизнь здесь была настолько лёгкой и роскошной, что колонисты быстро стали жить так, как на Земле считалось ленивым и безнравственным.^
            Планет, на которых может жить человек, в галактике не так много. Даже если на планете подходящая атмосфера, климат на ней может быть слишком жарким или слишком холодным, или на планете может быть слишком большая или слишком маленькая гравитация.^
            На поиски других планет было отправлено несколько экспедиций, большинство из них пропало в бездне космоса. Но одной из экспедиций удалось обнаружить планету Халмурис.  Климат на Халмурисе был холодным и ветреным. Основную часть населения колонии на Халмурисе составляли учёные и исследователи, которые жаждали сделать какое-нибудь научное открытие. Здесь также нашли временное пристанище те, кто предпочёл холодный климат перенаселённой Земле. Но они с нетерпением ждали открытия новой планеты, чтобы отправиться туда.]],
    obj = { vway('3', '{Назад} | ', 'intro'), vway('3', '{Далее}', 'intro_3') },
};


intro_3 = room {
    nam = '...',
    dsc = [[Вскоре их надежды оправдались. Была открыта новая планета. Гравитация здесь была чуть легче, чем на Земле, но данные спектроанализа показывали, что атмосфера планеты была пригодной для дыхания. Беспилотные разведывательные корабли, посланные к планете, вернулись с изображениями с орбиты. Поверхность планеты была скрыта облаками.^
            Радости обитателей Халмуриса не было предела. Все их мысли были заняты тем, что теперь они смогут покинуть холодный Халмурис (даже не смотря на то, что некоторым из них пришлось бы остаться чтобы поддерживать здесь базовый лагерь). Пребывая в состоянии эйфории, они назвали планету Аркадион, что означало «идиллический край невинных наслаждений, мирный брег». Но что скрывали облака?]],
    obj = { vway('3', '{Назад} | ', 'intro_2'), vway('3', '{Далее}', 'intro_4') },
};


intro_4 = room {
    nam = '...',
    dsc = [[На Аркадионе было три материка, разделённых бескрайним океаном. Из-за того, что континенты были разделены, на каждом из них развивались свои биологические виды. Но к 2285 году, когда космические корабли землян разорвали небо и спустились на поверхность Аркадиона, три вида аркадианцев были объединены уже очень давно. Изобретательные и интеллигентные обитатели огромного континента в форме подковы, который опоясывал половину планеты с востока на запад, были завоёваны союзом воинственных жителей с севера и артистичными южанами. Их союз, или Альянс, как они сами себя называли, длился несколько веков.^
            Технология аркадианцев в то время была примитивнее, чем у землян. Поскольку их корабли не обладали системой альфа-зиридиум, они могли совершать полёты только на небольшие расстояния. Но аркадианцы, как и люди, хотели покорять космос. Они мечтали создать галактическую Империю.^
            После того, как на Аркадион приземлились космические корабли землян, аркадианцы осознали, что альфа-зиридиум откроет перед ними просторы космоса.]],
    obj = { vway('3', '{Назад} | ', 'intro_3'), vway('3', '{Далее}', 'intro_5') },
};


intro_5 = room {
    nam = '...',
    dsc = [[Война длилась двенадцать лет, и основную часть этого времени аркадианцы больше строили корабли с установкой альфа-зиридиума, нежели чем вели боевые действия. Сначала был захвачен врасплох аванпост на Халмурисе, а осаждённый Радикс, к огромному сожалению, сдался без боя. Однако на Тропосе захватчики встретили жёсткое сопротивление. Тропианцы желали сохранить свой традиционный образ жизни; но, в конце концов, они тоже были подавлены превосходящим числом аркадианцев и их боевыми навыками. Земля, у которой базы располагались на Меркурии, Венере и Луне, вскоре после этого также капитулировала. Сбылись страхи и худшие прогнозы членов Земной Экологической Партии — тех, кто не хотел покидать Землю с самого начала: человечеством стала управлять галактическая Империя.^
            По началу аркадианцы были плохо снаряжены для того, чтобы управлять Империей, но они очень легко и быстро приспосабливались. Они построили на Аркадионе огромный органический компьютер — двоичный, поскольку у аркадианцев было по два пальца, и имплантировали в мозг каждого аркадианца приёмник. Приёмник был связан с центральным органическим комплексом посредством эмпатии, которая уже давно была признана самой быстрой формой коммуникации. Аркадианцы стали чем-то вроде улья или муравьиной колонии: каждая особь являлась клеткой огромного единого организма — организма, который мог контролировать Империю с безжалостной эффективностью.]],
    obj = { vway('3', '{Назад} | ', 'intro_4'), vway('3', '{Далее}', 'intro_6') },
};


intro_6 = room {
    nam = '...',
    dsc = [[Аркадион — мирное имя, но на протяжении 150 лет это было синонимом слова «тирания». Землянам было разрешено использовать единственное человеческое слово — имя планеты. Общепринятым языком человечества к этому времени был эсперанто, но отныне его использование означало немедленную смерть. Люди были рабами и жили только для услужения пришельцам. Обычно люди в те дни жили крайне недолго. Единственное, о чём сожалели аркадианцы, это то, что в человеческое тело нельзя было имплантировать эмпатический приёмник. Это они выяснили после подробных исследований и смерти сотни подопытных. Аркадианцы решили подчинить свою волю центральному компьютеру, но волю людей не получалось уничтожить, не убив при этом человека. Пришельцы могли поддерживать свою мощь только жестокостью и безжалостностью.^
            На Земле не прошло незамеченным то, что сила аркадианцев являлась одновременно и их слабостью. Они полагались на компьютер, у них больше не было своей воли. И если бы компьютер был уничтожен, аркадианцы моментально превратились бы в зомби. Слабость улья — в величайшей важности матки муравьёв или пчёл. Слабость Империи была в главном компьютере Аркадиона.]],
    obj = { vway('3', '{Назад} | ', 'intro_5'), vway('3', '{Далее}', 'intro_7') },
};


intro_7 = room {
    nam = '...',
    dsc = [[Исторически сложилось, что планирование и финансирование колонизации человечеством других планет осуществляла и координировала международная организация под названием ИЗИКО, занимающаяся «ИЗучением и Исследованием КОсмоса». С приходом Акрадианской Империи, ИЗИКО пришлось расширить поле своей деятельности. Если раньше это был всего лишь астрономический институт, теперь он делал всё, что было в его силах, чтобы сбросить гнёт Империи.^
            После всестороннего анализа ситуации стало ясно, что о полномасштабной атаке на Аркадион не могло быть и речи, шансов уничтожить центральный компьютер в этом случае не было никаких. Оставалась единственной надежда — послать на выполнение этой миссии одного человека.^
            Эту миссию было решено поручить тебе.]],
    obj = { vway('3', '{Назад} | ', 'intro_6'), vway('3', '{Далее}', 'intro_8') },
};


intro_8 = room {
    nam = '...',
    dsc = [[Подготовка была долгой и трудной. Она осложнялась тем, что радио передачи были под запретом, и контакты с тайными повстанческими организациями на других планетах были затруднены. Но два фактора вынуждали начинать миссию незамедлительно.^
            Во-первых, ты являлся идеальной кандидатурой для этой миссии — ты изобретателен, смел и предан идеалам освобождения. Тебя несколько месяцев тренировали боевым единоборствам, ты приобрёл знания в тех отраслях науки, которые могли бы быть полезными.^
            Во-вторых, людям было запрещено путешествовать в космосе. Исключение составляли лишь торговцы, находящиеся на службе у аркадианцев. Твоё прикрытие было великолепным — странствующий торговец. Ты должен был перевезти пшеницу с Земли на Тропос, с Тропоса властям на Радикс — зиридиум, с Радикса на Халмурис — предметы роскоши, и, следуя инструкциям, перевезти важных аркадианцев с Халмуриса на Аркадион. Пользуясь этой лазейкой для полётов, ИЗИКО имела возможность также отправлять шпионов для сбора информации, которая помогла бы тебе в твоей миссии.]],
    obj = { vway('3', '{Назад} | ', 'intro_7'), vway('3', '{Далее}', 'intro_9') },
};


intro_9 = room {
    nam = '...',
    dsc = [[Реальная картина текущего состояния дел была не совсем чёткой, поскольку многие важные детали были потеряны из-за предателей — некоторые люди пытались ублажить своих хозяев в надежде хоть как-нибудь улучшить свою жизнь или просто прожить на несколько месяцев больше. Это предательство имело как хорошие, так и плохие стороны. Хорошим фактором было то, что теперь ты уже автоматически не мог доверять каждому первому встречному человеку, потому что некоторые из них могли помогать аркадианцам. А плохим было то, что твоя миссия должна была начинаться немедленно, не смотря на то, что полной информации не было. Действовать нужно было безотлагательно, пока аркадианцы ничего не заподозрили.^
            Информации удалось собрать немного. Однако, полученные сведения были наиважнейшими. В здание на Аркадионе, где располагался главный компьютер, можно попасть с помощью цифрового кода, состоящего из девяти двоичных цифр.^
            Возможно, лидеры повстанцев на каждой из планет обладают какой-либо информацией, которая поможет тебе определить эти цифры. К сожалению, известны только кодовые имена лидеров, а не их настоящие имена. Вот почему твоё прикрытие было организовано таким образом, чтобы ты смог посетить все планеты. Тебе необходимо найти лидеров сопротивления, определить цифры, после чего ты должен уничтожить компьютер.]],
    obj = { vway('3', '{Назад} | ', 'intro_8'), vway('3', '{Далее}', 'intro_10') },
};


intro_10 = room {
    nam = 'Кайдия',
    pic = 'images/caydia_command_deck_earth.png',
    enter = function (s)
        set_music('music/disill.mod');
    end,
    dsc = [[Ты уютно устроился в мягком кресле пилота своего космического корабля, пристегнулся ремнями и осмотрел панель управления. Панель была достаточно простой, состоящей из компьютерного терминала и нескольких экранов. Механизмы системы альфа-зиридиум были спрятаны во внутренностях космического корабля, и у тебя не было необходимости что-либо делать с ними: даже если бы что-то пошло не так, твои роботы-инженеры быстро бы устранили неисправность. В бортовой компьютер была заложена программа, в соответствии с которой корабль должен был долететь до Тропоса и приземлиться на планету.]],
--    obj = { vway('3', '{Назад} | ', 'intro_9'), vway('3', '{Далее}', 'intro_11') },
    obj = { vway('3', '{Далее}', 'intro_11') },
};


intro_11 = room {
    nam = 'Кайдия',
    pic = 'images/caydia_command_deck_earth.png',
    dsc = [[Ты ввёл в компьютер команду для проверки всех систем жизнеобеспечения корабля. Через несколько секунд металлический голос ответил: «Всё функционирует корректно». Ты связался с центром управления полётами и сказал им, что всё готово. Грузовые роботы отбуксировали вышки, поддерживающие корабль. Ты щёлкнул выключателем, активировал двигатель и корабль взлетел.]],
    obj = { vway('3', '{Далее}', 'intro_12') },
};


intro_12 = room {
    nam = 'Кайдия',
    pic = 'images/caydia_command_deck_stars.png',
    dsc = [[Перегрузка вдавила тебя в кресло, но спустя какое-то время корабль преодолел притяжение Земли и ощущение прошло.^
            Корабль покинул экзосферу и попал в непроглядный мрак космоса. Автоматически включился механизм создания искусственной гравитации, чтобы ты и роботы-помощники могли свободно перемещаться по кораблю.^
            Ты переключился на вид сзади чтобы посмотреть как уменьшается Земля, от которой ты удалялся всё дальше и дальше. Ты с тоской посмотрел на белые завихрения облаков и отблески солнца на снежной шапке северного полюса.^
            Ты неоднократно видел эту картину когда путешествовал к Марсу или Венере, но она никогда не переставала тебя восхищать. Ты как всегда ощутил острую тоску по дому. Увидишь ли ты Землю снова? Твоя миссия такая важная... и такая опасная...]],
--    obj = { vway('3', '{Назад} | ', 'intro_10'), vway('3', '{Далее}', 'cydia_command_deck') },
    obj = { vway('3', '{Далее}', 'caydia_command_deck') },
    exit = function (s, t)
--            me().obj:add(status);
            inv():add(limcom);
            actions_init();
            lifeon(caydia);
            lifeon(caydia_kc5);
--            lifeon('status');
--            lifeon ('claws');
    end,
};


-- ----------------------------------------------------------------------

caydia = room {
    _index = 0,
    _refugee = false,
    _location = 'space',
    _next_location = 'tropos',
    _tropos_hints = true,
    _frags = 0,
    nam = 'caydia_status',
    life = function (s)
        if s._location == 'space' then
            s._index = s._index + 1;
        end
        if (s._location == 'space') and (s._next_location == 'tropos') and (s._index == 10) then
            return walk (caydia_another_spacecraft);
        end
        if s._index == 100 then
            s._index = 0;
            s._location = s._next_location;
            objs(caydia_airlock):add(tropos_valet);
            if s._next_location == 'tropos' then
                s._next_location = 'radix';
                p 'По всему кораблю разнёсся металлический голос:^— ВНИМАНИЕ! «Кайдия» прибыла на планету Тропос.^Корабль, который преследовал нас всю дорогу, перед самой посадкой резко оторвался вперёд и приземлился на Тропос раньше «Кайдии».';
            end
            lifeoff (caydia);
        end
--        return 'caydia='..s._index;
    end,
};


caydia_another_spacecraft = dlg {
    nam = function (s)
        return call(from(),'nam');
    end,
    pic = function (s)
        return call(from(),'pic');
    end,
    enter = function (s)
        me():disable_all();
    end,
    dsc = function (s)
        p 'Неожиданно металлический голос произнёс:^— ВНИМАНИЕ! За «Кайдией» следует неопознанный корабль. Следует ли мне оторваться от него?';
    end,
    obj = {
           [1] = phr('Да.',  nil, [[poff(1,2); caydia._refugee=true; p'«Кайдия» сделала попытку оторваться от преследователя, но сколько корабль не петлял и не выжимал всё, что можно из двигателей, оторваться не удавалось.^Наконец бортовой компьютер прекратил попытки сбросить «хвост» и лёг на курс к Тропосу.^Металлический голос произнёс:^— Перехвачено закодированное зета-сообщение с корабля преследования:^«uhilol ek ika grazdxz».^Корабль продолжал следовать за «Кайдией» как тень.'; back();]]),
           [2] = phr('Нет.', nil, [[poff(1,2); caydia._refugee=false; p 'Ты решил не делать попыток оторваться от преследования. За «Кайдией» мог следовать корабль аркадианцев, и тебе не нужно было привлекать к себе дополнительного внимания.^Металлический голос произнёс:^— Перехвачено закодированное зета-сообщение с корабля преследования:^«urwi g ndmi».^Корабль продолжал следовать за «Кайдией» как тень.'; back(); ]]),
          },
    exit = function (s)
        me():enable_all();
    end,
};



limcom = iobj {
    nam = 'лимком',
    _prison_plan = false,
    dsc = function(s)
        return '{лимком}';
    end,
    exam = function(s)
        return 'На твоём запястье пристёгнут лимком. На нём расположены три кнопки:^{button_ship_status|«Статус Корабля»}^ {button_inner_hatch|«Внутренний Люк»}^{button_outer_hatch|«Внешний Люк»}';
    end,
    used = function (s, w)
        if w == tropos_spaceport_kc5_memory then
            if have (tropos_spaceport_kc5_memory) then
                if not s._prison_plan then
                    s._prison_plan = true;
                    return 'Ты подсоединил блок памяти дроида к лимкому. Написав небольшую программу, ты скачал данные из блока памяти в память лимкома. Оказалось, блок памяти дроида содержал подробный план помещений, где он проводил уборку.^Проанализировав данные, ты обнаружил, что за одной из стен идёт воздуховод.';
                else
                    return 'Ты уже скачал информацию из блока памяти дроида.';
                end
            else
                return 'У тебя нет блока памяти.';
            end
        end
    end,
};


button_ship_status = iobj {
    nam = 'кнопка статуса корабля',
    xaction_type = true,
    exam = function(s)
        p 'Ты нажал на кнопку. Лимком связался по радио с бортовым компьютером «Кайдии». На экране появилась следующая информация:^^';
        if caydia._location == 'space' then
            p '«Кайдия» находится в открытом космосе.^';
            if caydia._next_location == 'tropos' then
                p 'Корабль следует на Тропос.';
            end
        else
            if caydia._location == 'tropos' then
                p '«Кайдия» находится на планете Тропос.^';
            end
            p 'Производится выгрузка и загрузка груза.';
        end
    end,
};


button_inner_hatch = iobj {
    nam = 'кнопка внутреннего люка',
    xaction_type = true,
    exam = function(s)
        if (here() == caydia_aft_corridor) or (here() == caydia_airlock) then
            if caydia_outer_hatch._opened then
                return 'Ты нажал на кнопку, но металлический голос произнёс:^Открыт внешний люк.';
            else
                if caydia_inner_hatch._opened then
                    caydia_inner_hatch._opened = false;
                    return 'Ты нажал на кнопку. Внутренний люк закрылся.';
                else
                    caydia_inner_hatch._opened = true;
                    return 'Ты нажал на кнопку. Внутренний люк открылся.';
                end
            end
        else
            return 'Ты нажал на кнопку, но ничего не призошло.';
        end
    end,
};


button_outer_hatch = iobj {
    nam = 'кнопка внешнего люка',
    xaction_type = true,
    exam = function(s)
        if caydia._location == 'space' then
            return 'Ты нажал на кнопку, но металлический голос произнёс:^Открытие внешнего люка в космосе запрещено.';
        end
        if (here() == caydia_airlock) then
            if caydia_inner_hatch._opened then
                return 'Ты нажал на кнопку, но металлический голос произнёс:^Открыт внутренний люк.';
            else
                if caydia_outer_hatch._opened then
                    caydia_outer_hatch._opened = false;
                    return 'Ты нажал на кнопку. Внешний люк закрылся.';
                else
                    caydia_outer_hatch._opened = true;
                    return 'Ты нажал на кнопку. Внешний люк открылся.';
                end
            end
        else
            return 'Ты нажал на кнопку, но ничего не призошло.';
        end
    end,
};


caydia_kc5 = iobj {
    nam = 'дроид KC5',
    _index = 31,
    dsc = function(s)
        if s._index==1 or s._index==5 or s._index==9 or s._index==14 or s._index==19 or s._index==23 or s._index==28 then
            return 'В отсек мягко вкатился небольшой {дроид KC5} и стал энергично и усердно драить пол и заниматься прочей технической поддержкой.';
        end
        if s._index==13 or s._index==18 or s._index==27 or s._index==32 or s._index==33 then
            return 'Мимо тебя быстро проехал по своим делам {дроид KC5}.';
        end
        if s._index==4 or s._index==8 or s._index==12 or s._index==17 or s._index==22 or s._index==26 or s._index==31 then
            return '{Дроид KC5} щёлкнул, развернулся на месте и покатился в другой отсек.';
        end
        return '{Дроид KC5} тихо пощёлкивал, выполняя свои дела.';
    end,
    exam = function(s)
        return 'Дроид пощёлкивал, дребезжал и вращал своими манипуляторами.';
    end,
    useit = function (s)
        return 'Дроид занимался полезными делами. Не стоило отвлекать его.';
    end,
    used = function (s, w)
        if w == laser_sword then
            p 'Не было смысла уничтожать дроида, он обслуживал корабль. Без помощи KC5 корабль быстро бы пришёл в негодность.';
        end
    end,
    life = function (s)
        s._index = s._index + 1;
        if s._index == 34 then
            s._index = 1;
        end
        if s._index == 1 then
            objs('caydia_access_corridor'):del(s);
            objs('caydia_command_deck'):add(s);
        end
        if s._index == 5 then
            objs('caydia_command_deck'):del(s);
            objs('caydia_access_corridor'):add(s);
        end
        if s._index == 9 then
            objs('caydia_access_corridor'):del(s);
            objs('caydia_cabin_1'):add(s);
        end
        if s._index == 13 then
            objs('caydia_cabin_1'):del(s);
            objs('caydia_access_corridor'):add(s);
        end
        if s._index == 14 then
            objs('caydia_access_corridor'):del(s);
            objs('caydia_cabin'):add(s);
        end
        if s._index == 18 then
            objs('caydia_cabin'):del(s);
            objs('caydia_access_corridor'):add(s);
        end
        if s._index == 19 then
            objs('caydia_access_corridor'):del(s);
            objs('caydia_aft_corridor'):add(s);
        end
        if s._index == 23 then
            objs('caydia_aft_corridor'):del(s);
            objs('caydia_cabin_2'):add(s);
        end
        if s._index == 27 then
            objs('caydia_cabin_2'):del(s);
            objs('caydia_aft_corridor'):add(s);
        end
        if s._index == 28 then
            objs('caydia_aft_corridor'):del(s);
            objs('caydia_cargo'):add(s);
        end
        if s._index == 32 then
            objs('caydia_cargo'):del(s);
            objs('caydia_aft_corridor'):add(s);
        end
        if s._index == 33 then
            objs('caydia_aft_corridor'):del(s);
            objs('caydia_access_corridor'):add(s);
        end
--        return 'kc5='..(s._index);
    end,
};


caydia_command_deck = room {
    nam = 'Капитанский мостик',
    pic = function (s)
        if caydia._location == 'space' then
            return 'images/caydia_command_deck_stars.png';
        end
        if caydia._location == 'tropos' then
            return 'images/caydia_command_deck_tropos.png';
        end
    end,
    dsc = [[Ты находился на капитанском мостике космического корабля «Кайдия».]],
    obj = { 'caydia_display', 'caydia_view_port' },
--    obj = { 'caydia_display', 'caydia_view_port', 'caydia_kc5' },
--    obj = { vway('1', '{Далее}', 'conveyor_belt') },
    way = { vroom ('Юг', 'caydia_access_corridor') },
};


caydia_display = iobj {
    nam = 'монитор',
    dsc = function(s)
        return 'На {мониторе} мигала какая-то надпись.';
    end,
    exam = function(s)
        if caydia._location == 'space' then
            if caydia._next_location == 'tropos' then
                return 'Сводная информация:^Проверка плана полёта... [OK]^Проверка обслуживающих дроидов... [OK]^Проверка систем жизнеобеспечения...[ОК]^Пункт назначения — Тропос.';
            end
        else
            if caydia._location == 'tropos' then
                return 'Сводная информация:^Разгрузка/загрузка...[В процессе]^^Текущее состояние на планете:^На Тропосе произошло несколько случаев беспорядка с участием людей. Аркадианцы встревожены и очень подозрительно относятся к людям.';
            end
        end
        return 'Сводная информация:^Проверка обслуживающих дроидов... [OK]^Проверка систем жизнеобеспечения...[ОК]';
    end,
    useit = function (s)
        return 'Сводная информация:^Проверка плана полёта... [OK]^Проверка обслуживающих дроидов... [OK]^Проверка систем жизнеобеспечения...[ОК]^Пункт назначения — Тропос.';
    end,
    used = function (s, w)
        if w == laser_sword then
            p 'Тебе ещё предстояло совершить несколько полётов на этом корабле. Портить оборудование не входило в твои планы.';
        end
    end,
};


caydia_view_port = iobj {
    nam = 'иллюминатор',
    dsc = function(s)
        if caydia._location == 'space' then
            return 'В {иллюминаторе} были видны летящие навстречу звёзды.';
        else
            return 'Через {иллюминатор} ты видел дроидов, снующих по космопорту. Вооружённые аркадианцы охраняли пришвартованные корабли.';
        end
    end,
    exam = function(s)
        if caydia._location == 'space' then
            return 'Изучать Вселенную можно бесконечно. У тебя нет столько времени...';
        else
            return 'В космопорте кипела жизнь. Дроиды разгружали и загружали оборудование и контейнеры, заправляли корабли, устраняли мелкие неисправности.';
        end
    end,
    used = function (s, w)
        if w == laser_sword then
            p 'Тебе ещё предстояло совершить несколько полётов на этом корабле. Портить оборудование не входило в твои планы.';
        end
    end,
    useit = function (s)
        if caydia._location == 'space' then
            p 'Открывать иллюминатор в космосе было не самой блестящей идеей.';
        else
            p 'Даже то, что корабль находился не в космосе, открывать иллюминатор не было никакой необходимости.';
        end
    end,
};


caydia_access_corridor = room {
    nam = 'Центральный коридор',
    pic = 'images/caydia_access_corridor.png',
    dsc = [[Ты находился в основном коридоре Кайдии. Справа и слева располагались двери, ведующие в каюты.]],
    way = { vroom ('Север', 'caydia_command_deck'), vroom ('Запад', 'caydia_cabin_1'), vroom ('Восток', 'caydia_cabin'), vroom ('Юг', 'caydia_aft_corridor'),},
};


caydia_cabin_1 = room {
    nam = 'Пассажирская каюта 1',
    pic = 'images/caydia_passenger_cabin_1.png',
    dsc = [[На Кайдии было несколько пассажирских кают. Это была одна из них. В этом полёте тебя никто не сопровождал, поэтому каюта была свободной.]],
    obj = { 'caydia_hydro_bed', 'jet_pack' },
    way = { vroom ('Восток', 'caydia_access_corridor') },
};


jet_pack = iobj {
    nam = 'ранец',
    dsc = function(s)
        return 'Ты заметил {реактивный ранец}.';
    end,
    exam = function(s)
        return 'На ранце был небольшой джойстик.';
    end,
    take = function (s)
        return 'Ты взял ранец.';
    end,
    drop = function (s)
        return 'Ты бросил ранец.';
    end,
    used = function (s, w)
        if w == laser_sword then
            p 'Ты бы мог разрезать мечом ранец. Но, во-первых, он мог взорваться, во-вторых, ранец мог бы тебе ещё пригодиться.';
        end
    end,
};


caydia_cabin = room {
    nam = 'Капитанская каюта',
    pic = 'images/caydia_cabin.png',
    dsc = [[Ты находился в каюте капитана.]],
    obj = { 'laser_sword', 'caydia_hydro_bed', 'card' },
    way = { vroom ('Запад', 'caydia_access_corridor') },
};


laser_sword = iobj {
    nam = 'меч',
    _state = 0,
    _examined = false;
    dsc = function(s)
        p 'Ты заметил {лазерный меч}.';
    end,
    exam = function(s)
        if not s._examined then
            s._examined = true;
            p 'Людям было запрещено носить любое оружие. Эта модель, одна из последних на Земле, была сделана из особых композитных материалов, которые не обнаруживались металлодетектором.^Но за всё приходится расплачиваться. Из-за того, что меч был не металлический, он очень быстро перегревался...';
        else
            if s._state == 0 then
                p 'Лазерный меч. Сейчас он неактивен.';
            else
                p 'Лазерный меч. Из рукоятки бьёт луч ослепительного света.';
            end
        end
    end,
    take = function (s)
        p 'Ты взял меч.';
    end,
    drop = function (s)
        if not (s._state == 0) then
            s._state = 0;
            p 'Ты выключил меч и бросил его.';
        else
            p 'Ты бросил меч.';
        end
    end,
    used = function (s, w)
        if w == power_pak then
            p 'Меч не нуждается в подзарядке.';
        end
    end,
    useit = function (s)
        if have (s) then
            if s._state == 0 then
                lifeon (s);
                p 'Ты нажал на кнопку. Из рукоятки вырвался луч ослепительного света.';
                if here () == tropos_custom then
                    lifeon(tropos_custom_officers);
                end
                if here () == tropos_interrogation_room then
                    lifeon(tropos_interrogation_officer);
                end
            else
                s._state = 0;
                lifeoff (s);
                p 'Ты нажал на кнопку и выключил меч.';
            end
        end
    end,
    life = function (s)
        if s._state == 6 then
            lifeoff (s);
--            p 'Лазерный меч перегрелся и взорвался.';
            walk (laser_sword_explode_end);
        end
        if s._state == 5 then
            p 'Рукоятка лазерного меча нагрелась до такой степени, что её почти невозможно было держать в руках.';
        end
        if s._state == 4 then
            p 'Рукоятка меча обжигала руки.';
        end
        if s._state == 3 then
            p 'Рукоятка меча стала горячей.';
        end
        if s._state == 2 then
            p 'Рукоятка лазерного меча стала тёплой.';
        end
        s._state = s._state + 1;
    end,
};


card = iobj {
    nam = 'кредитка',
    _cash = 3000,
    _examined = false,
    dsc = function(s)
        p 'Ты заметил {кредитку}.';
    end,
    exam = function(s)
        if not s._examined then
            s._examined = true;
            return 'ИЗИКО дала тебе в дорогу кредитку с тремя тысячами галлактических кредитов. На них можно было купить необходимое оборудование, оплатить ночлег или купить чей-то совет, а можно было спустить их за один вечер в баре. Тратить эти деньги нужно очень аккуратно и осторожно.';
        else
            return 'Текущий баланс: '..s._cash;
        end
    end,
    take = function (s)
        p 'Ты взял кредитку.';
    end,
    drop = function (s)
        p 'Ты бросил кредитку.';
    end,
};


laser_sword_explode_end = room {
    nam = function (s)
        return call(from(),'nam');
    end,
    pic = function (s)
        return call(from(),'pic');
    end,
    enter = function (s, from)
        lifeoff (laser_sword);
        lifeoff (caydia);
        set_music('music/damask_rose.it');
--        ACTION_TEXT = nil;
        me():disable_all();
    end,
    dsc = function (s)
        p 'Лазерный меч перегрелся и взорвался.';
    end,
    obj = { vway('1', '{Далее}', 'the_end') },
};


the_end = room {
    nam = function (s)
        return 'Конец';
    end,
    pic = function (s)
        return 'images/the_end.png';
    end,
    enter = function (s, from)
        lifeoff (laser_sword);
        lifeoff (caydia);
        me():disable_all();
    end,
    dsc = function (s)
        p 'Провал твоей миссии практически не оставил возможностей человечеству освободиться от гнёта Империи...';
    end,
};


caydia_aft_corridor = room {
    nam = 'Коридор в корме корабля',
    pic = function (s)
        if not caydia_inner_hatch._opened then
            return 'images/caydia_aft_corridor.png';
        else
            return 'images/caydia_aft_corridor_opened.png';
        end
    end,
    dsc = [[Ты находился в коридоре на корме корабля. Одна из дверей вела в пассажирскую каюту, другая — в грузовой отсек.]],
    obj = { 'caydia_inner_hatch' },
    way = { vroom ('Север', 'caydia_access_corridor'), vroom ('Запад', 'caydia_cabin_2'), vroom ('Восток', 'caydia_cargo'), vroom ('Шлюз', 'caydia_airlock'),},
    exit = function (s, to)
        if to == caydia_airlock then
            if not caydia_inner_hatch._opened then 
                p 'Внутренний люк воздушного шлюза закрыт.';
                return false;
            end
        end
    end,
};


caydia_inner_hatch = iobj {
    nam = 'внутренний люк',
    _opened = false;
    dsc = function(s)
        if here() == 'caydia_aft_corridor' then
            if not s._opened then
                p 'В корме корабля располагался закрытый {внутренний люк}, ведущий в воздушный шлюз.';
            else
                p ' Открытый {внутренний люк} в корме корабля вёл в воздушный шлюз.';
            end
        else
            if not s._opened then
                p 'Закрытый {внутренний люк}, вёл из воздушного шлюза в корабль.';
            else
                p ' Открытый {внутренний люк} вёл из воздушного шлюза в корабль.';
            end
        end
    end,
    exam = function(s)
        if not s._opened then
            p 'Внутренний люк воздушного шлюза закрыт.';
        else
            p 'Внутренний люк воздушного шлюза открыт.';
        end
    end,
    useit = function (s)
        p 'На люке и рядом с ним не было никаких органов управления.';
    end,
    used = function (s, w)
        if (w == laser_sword) and (have(laser_sword)) then
            if laser_sword._state == 0 then
                p 'Ты постучал рукояткой меча по люку. Глухой звук свидетельствовал о том, что люк был очень прочным.';
            else
                p 'Тебе ещё предстояло совершить несколько полётов на этом корабле. Портить воздушный шлюз не входило в твои планы.';
            end
        end
    end,
};


caydia_outer_hatch = iobj {
    nam = 'внешний люк',
    _opened = false;
    dsc = function(s)
        if not s._opened then
            p '{Внешний люк} «Кайдии» использовался для выхода из корабля.';
        else
            p ' Открытый {внешний люк} в корме корабля вёл наружу.';
        end
    end,
    exam = function(s)
        if not s._opened then
            p 'Внешний люк воздушного шлюза закрыт.';
        else
            p 'Внешний люк воздушного шлюза открыт.';
        end
    end,
    useit = function (s)
        p 'На люке и рядом с ним не было никаких органов управления.';
    end,
    used = function (s, w)
        if (w == laser_sword) and (have(laser_sword)) then
            if laser_sword._state == 0 then
                p 'Ты постучал рукояткой меча по люку. Глухой звук свидетельствовал о том, что люк был очень прочным.';
            else
                p 'Тебе ещё предстояло совершить несколько полётов на этом корабле. Портить воздушный шлюз не входило в твои планы.';
            end
        end
    end,
};


caydia_airlock = room {
    nam = 'Воздушный шлюз Кайдии',
    pic = function (s)
        if not caydia_outer_hatch._opened then
            return 'images/caydia_airlock_closed.png';
        else
            return 'images/caydia_airlock_opened.png';
        end
    end,
    entered = function (s, from)
        if from == tropos_spaceport_dock then
            set_music('music/disill.mod');
        end
    end,
    dsc = [[Ты находился в грузовом отсеке.]],
    obj = { 'caydia_inner_hatch', 'caydia_outer_hatch' },
    way = { vroom ('В корабль', 'caydia_aft_corridor'),  vroom ('Наружу', 'caydia_out') },
    exit = function (s, to)
        if to == caydia_aft_corridor then
            if not caydia_inner_hatch._opened then 
                p 'Внутренний люк воздушного шлюза закрыт.';
                return false;
            end
        end
        if to == caydia_out then
            if not caydia_outer_hatch._opened then 
                p 'Внешний люк воздушного шлюза закрыт.';
                return false;
            else
                if caydia._location == 'tropos' then
                    set_music('music/he_has_no_face.s3m');
                    return walk (tropos_spaceport_dock);
                end
            end
        end
    end,
};


caydia_out = room {
    nam = 'TROUBLE',
    pic = 'images/title.png',
    dsc = [[Проблема! Если ты попал в эту комнату, что-то в программе пошло не так...]],
};


tropos_valet = iobj {
    nam = 'робот-слуга',
    dsc = function(s)
        p 'В воздушном шлюзе тебя встречал {робот-слуга}.';
    end,
    exam = function(s)
        p 'Робот работал в космическом порту и встречал всех прибывающих на планету.';
    end,
    useit = function (s)
        p 'Робот запрограммирован на определённые функции. Использовать его в своих целях не удастся.';
    end,
    used = function (s, w)
        if (w == laser_sword) and (have(laser_sword)) then
            if (laser_sword._state > 0) then
                objs(caydia_airlock):add(troho_tickets);
                objs(caydia_airlock):del(tropos_valet);
                p 'Ты взмахнул лазерным мечом и снёс роботу голову. Тело робота покачалось и упало на пол, из него выпали две какие-то карточки.^Тут же откуда ни возьмись появился дроид KC5 и выкинул обломки робота из «Кайдии» на взлётную полосу. После этого он вычистил манипуляторами пятна масла на полу и поехал по своим делам.';
            else
                p 'Ты постучал рукояткой меча по корпусу робота.';
            end
        end
    end,
    talk = function (s)
        inv():add(troho_tickets);
        objs(caydia_airlock):del(tropos_valet);
        p 'Робот вежливым голосом с небольшим металлическим призвуком произнёс:^— Сэр! Я рад приветствовать Вас на планете Тропос! Надеюсь, Ваше пребывание здесь не будет омрачено недавно произошедшими беспорядками. В любом случае, постарайтесь держаться подальше от неприятностей.^Позвольте вручить Вам билеты в одно из самых изысканных мест на всём Тропосе — клуб «Трохо». Вы сможете пригласить туда кого-нибудь из своих друзей.^Приятного Вам дня!^^С этими словами робот-слуга вручил тебе две карточки, покинул «Кайдию» и быстро поехал по направлению к кораблю, который заходил на посадку недалеко от «Кайдии».';
    end,
};


troho_tickets = iobj {
    nam = 'билеты',
    dsc = function(s)
        p 'Ты заметил {билеты в «Трохо»}.';
    end,
    exam = function(s)
        p 'Билеты в одно из самых престижных мест на всём Тропосе — в клуб «Трохо». На двух персон.';
    end,
    take = function (s)
        p 'Ты взял билеты в «Трохо».';
    end,
    drop = function (s)
        p 'Ты бросил билеты в «Трохо».';
    end,
    useit = function (s)
        p 'Билеты были выполнены на превосходной бумаге и были защищены от подделывания различными объёмными голограммами.';
    end,
    used = function (s, w)
        if (w == laser_sword) and (have(laser_sword)) then
            if (laser_sword._state > 0) then
                Drop(troho_tickets);
                objs():del(troho_tickets);
                p 'Ты взмахнул лазерным мечом. Билеты моментально обуглились и разлетелись тёмными мушками пепла.';
            else
                p 'Меч не активирован.';
            end
        end
    end,
};


caydia_cabin_2 = room {
    nam = 'Пассажирская каюта 2',
    pic = 'images/caydia_passenger_cabin_2.png',
    dsc = [[Ты находился в одной из пассажирских кают.]],
    obj = { 'caydia_hydro_bed', 'power_pak' },
    way = { vroom ('Восток', 'caydia_aft_corridor') },
};


caydia_hydro_bed = iobj {
    nam = 'гидро-кровать',
    dsc = function(s)
        p 'У стены стояла прибранная {гидро-кровать}. От неё шёл лёгкий запах дезинфицирующих средств, которыми пользовались дроиды при уборке.';
    end,
    exam = function(s)
        p 'Скромная гидро-кровать. Никаких излишеств.';
    end,
    useit = function (s)
        if here() == caydia_cabin then
            if caydia._location == 'space' then
                if (caydia._next_location == tropos) and (caydia._index < 10) then
                    return 'Перед тем, как ложиться спать, ты должен был проверить весь корабль.';
                else
                    return walk (caydia_hydro_bed_sleep);
                end
            else
                p 'Ты выспался пока корабль летел в космосе. Кроме того, у тебя была масса дел.';
            end
        else
            p 'Зачем пользоваться кроватью в пассажирской каюте, когда есть своя кровать в каюте капитана...';
        end
    end,
    used = function (s, w)
        if (w == laser_sword) and (have(laser_sword)) then
            p 'Тебе ещё предстояло совершить несколько полётов на этом корабле. Портить оборудование не входило в твои планы.';
        end
    end,
};


caydia_hydro_bed_sleep = dlg {
    nam = 'Капитанская каюта',
    pic = 'images/caydia_cabin.png',
    enter = function (s)
        me():disable_all();
    end,
    dsc = function (s)
        p 'Ты уверен что хочешь проспать весь путь до приземления на планету?';
    end,
    obj = {
           [1] = phr('Да.', nil, [[pon(1,2); caydia._index=99; back();]]),
           [2] = phr('Нет.', nil, [[pon(2); back(); ]]),
          },
    exit = function (s)
        me():enable_all();
    end,
};


power_pak = iobj {
    nam = 'зарядник',
    dsc = function(s)
        p 'Ты заметил {зарядное устройство}.';
    end,
    exam = function(s)
        p 'Пантаниумное зарядное устройство. На корпусе выступают контакты.';
    end,
    take = function (s)
        p 'Ты взял зарядное устройство.';
    end,
    drop = function (s)
        p 'Ты бросил зарядное устройство.';
    end,
    useit = function (s)
        p 'С помощью зарядного устройства можно зарядить что-нибудь...';
    end,
    used = function (s, w)
        if (w == laser_sword) and (have(laser_sword)) then
            p 'Тебе ещё предстояло совершить несколько полётов на этом корабле. Портить оборудование не входило в твои планы.';
        end
    end,
};


caydia_cargo = room {
    nam = 'Грузовой отсек',
    pic = 'images/caydia_cargo.png',
    dsc = [[Ты находился в грузовом отсеке.]],
    obj = { 'caydia_containers', 'alloy_strip', 'space_scooter' },
    way = { vroom ('Запад', 'caydia_aft_corridor') },
};


caydia_containers = iobj {
    nam = 'контейнеры',
    dsc = function(s)
        if caydia._location == 'space' then
            return 'Грузовой отсек был забит {контейнерами}.';
        else
            return 'Дроиды сгружали привезённые тобой {контейнеры} и загружали груз, который тебе предстояло перевезти на другую планету.';
        end
    end,
    exam = function(s)
        if caydia._location == 'space' then
            return 'Контейнеры были заполнены товаром, который ты перевозил согласно своей легенде.';
        else
            return 'У тебя не было времени следить за процессом разгрузки и загрузки. У тебя были дела поважнее.';
        end
    end,
    useit = function (s)
        p 'Разгрузкой контейнеров занимаются роботы.';
    end,
};


alloy_strip = iobj {
    nam = 'лента',
    dsc = function(s)
        p 'Ты заметил кусок {металлической ленты}.';
    end,
    exam = function(s)
        p 'Лента, сделанная из какого-то металлического сплава.';
    end,
    useit = function (s)
        if have (alloy_strip) then
            inv():del(alloy_strip);
            inv():add(tweezers);
            p 'Ты согнул ленту. Получилось полезное приспособление!';
        else
            p 'У тебя нет ленты.';
        end
    end,
    take = function (s)
        p 'Ты взял ленту.';
    end,
    drop = function (s)
        p 'Ты бросил ленту.';
    end,
};


tweezers = iobj {
    nam = 'пинцет',
    dsc = function(s)
        p 'Ты заметил {импровизированный пинцет}.';
    end,
    exam = function(s)
        p 'Импровизированный пинцет, который ты сделал из металлической ленты.';
    end,
    useit = function (s)
        p 'Ты пощёлкал пинцетом. Неплохое времяпрепровождение.';
    end,
    take = function (s)
        p 'Ты взял пинцет.';
    end,
    drop = function (s)
        p 'Ты бросил пинцет.';
    end,
};


space_scooter = iobj {
    _examined = false,
    nam = 'скутер',
    dsc = function(s)
        p 'В углу грузового отсека стоял {космический скутер}.';
    end,
    exam = function(s)
        p 'Это твой старый космический скутер. Прекрасная машина. В 2552 году ты на нём выиграл космические гонки на скутерах. К сожалению, сейчас он сломан.';
    end,
    useit = function (s)
        if not s._examined then
            s._examined = true;
            capsule:enable();
            p 'Ты попытался завести скутер. Ничего не вышло. У тебя не было запасных частей, необходимых для ремонта скутера. Однако, в багажнике ты обнаружил капсулу.';
        else
            p 'У тебя не было запасных частей, необходимых для ремонта скутера.';
        end
    end,
    take = function (s)
        p 'Нет смысла брать с собой сломанный скутер.';
        return false;
    end,
    used = function (s, w)
        if (w == laser_sword) and (have(laser_sword)) then
            p 'После всего того, что было у вас в прошлом, уничтожить его ты бы не смог.';
        end
    end,
    obj = { 'capsule' },
};


capsule = iobj {
    nam = 'капсула',
    dsc = function(s)
        return 'Ты заметил {капсулу}.';
    end,
    exam = function(s)
        return 'Капсула была наполнена топливом.';
    end,
    take = function (s)
        return 'Ты взял капсулу.';
    end,
    drop = function (s)
        return 'Ты бросил капсулу.';
    end,
    used = function (s, w)
        if w == laser_sword then
            p 'Разрезать лазером бак с горючим было отличной идеей, но ты решил отложить её до лучших времён. Твоя жизнь пока была тебе дорога.';
        end
    end,
}:disable();


dispenser = iobj {
    nam = 'автомат',
    _ampule = true,
    dsc = function(s)
        return 'На стене располагался {торговый автомат}.';
    end,
    exam = function(s)
        return 'В автомате можно было приобрести различные фармацевтические лекарства.';
    end,
    used = function (s, w)
        if w == laser_sword then
            p 'Ты не хотел привлекать к себе внимание, круша оборудование в космопорте.';
        end
        if w == card then
            if s._ampule then
                if (card._cash > 85) then
                    card._cash = card._cash - 86;
                    s._ampule = false;
                    objs(tropos_spaceport):add(ampule);
                    return 'Ты сунул кредитку в щель автомата. На экране появилась надпись:^Поздравляем с покупкой обезболивающего средства! Надеемся, что оно Вам не пригодится. Но лучше иметь его с собой когда оно нужно, чем не иметь, когда оно понадобится.';
                else
                    return 'Ты сунул кредитку в щель автомата, но тот жалобно пискнул, мигнул и вернул карточку обратно. На экране появилась надпись:^Недостаточно средств для покупки.';
                end
            else
                return 'Ты сунул кредитку в щель автомата, но тот жалобно пискнул, мигнул и вернул карточку обратно. На экране появилась надпись:^Автомат пуст.';
            end
        end
    end,
    take = function (s)
        p 'Неплохо всегда иметь с собой небольшой запас медицинских препаратов. Но таскать с собой автомат по продаже медикаментов... Это уже лишнее...';
        return false;
    end,
};


ampule = iobj {
    nam = 'ампула',
    dsc = function (s)
        return 'Ты заметил {ампулу}.';
    end,
    exam = function(s)
        return 'Это была ампула с сильным обезболивающим.';
    end,
    useit = function (s)
        return 'Ты чувствовал себя хорошо. Использовать сильнодействующее средство, ослабляющее боль, не было необходимости.';
    end,
    take = function (s)
        return 'Ты взял ампулу.';
    end,
    drop = function (s)
        return 'Ты бросил ампулу.';
    end,
};


tropos_spaceport_dock = room {
    nam = 'Док',
    _angry_arcadians = true,
    pic = function (s)
        if s._angry_arcadians then
            return 'images/tropos_spaceport_dock_arcadians.png';
        else
            return 'images/tropos_spaceport_dock.png';
        end
    end,
    entered = function (s)
        if s._angry_arcadians then
            lifeon (angry_arcadians);
            p 'Как только ты сошёл с трапа, к тебе подошли два разгневанных аркадианца.^— Эй, ты, обезьяна! — выпучив глаза произнёс один из них. — Тебе кто разрешал сажать сюда свою колымагу? Это моё место! Мне пришлось из-за тебя садиться в дальнем доке!';
        end
    end,
    dsc = [[Ты находился в доке космопорта Тропоса. Здесь было множеством кораблей. Везде сновали юркие дроиды, медленно передвигались роботы, перевозившие большие контейнеры. Повсюду вышагивали аркадианцы-охранники.]],
    obj = { 'angry_arcadians' },
    way = { vroom ('Кайдия', 'caydia_airlock'),  vroom ('Космопорт', 'tropos_spaceport'), },
    exit = function (s, to)
        if to == tropos_spaceport_dock_death then
            return;
        end
        if s._angry_arcadians then
            p '— Куда это ты собрался идти, червяк? — Остановил тебя аркадианец. — Я с тобой ещё не закончил!';
            return false;
        end
    end,
};


tropos_spaceport_dock_death = room {
    nam = 'Док',
    _angry_arcadians = true,
    pic = function (s)
        return 'images/tropos_spaceport_dock_death.png';
    end,
    entered = function (s)
        lifeoff (laser_sword);
        lifeoff (caydia);
        me():disable_all();
        set_music('music/damask_rose.it');
    end,
    dsc = [[Как только ты активировал меч, аркадианцы остолбенели. Они не ожидали такого поворота событий. Ты без труда уложил обоих.^Но тут же тебя окружили многочисленные охранники-аркадианцы. У тебя не было ни малейшего шанса. Силы были не равны...]],
    obj = { vway("1", "   {Далее}", 'the_end') },
};


wrench = iobj {
    nam = 'гаечный ключ',
    dsc = function (s)
        return 'Ты заметил {гаечный ключ}.';
    end,
    exam = function(s)
        return 'Здоровенный гаечный ключ. Тяжёлый...';
    end,
    useit = function (s)
        return 'Ты покачал в руке ключ. Увесистый...';
    end,
    take = function (s)
        return 'Ты взял гаечный ключ.';
    end,
    drop = function (s)
        return 'Ты бросил гаечный ключ.';
    end,
};


angry_arcadians = iobj {
    nam = 'аркадианцы',
    _index = 5,
    _talked = false,
    dsc = function (s)
        return 'Перед тобой стояли рассерженые {аркадианцы}.';
    end,
    exam = function(s)
        return 'Аркадианцы были очень злы. Один из них помахивал здоровенным гаечным ключом.';
    end,
    used = function (s, w)
        if w == laser_sword then
            if (laser_sword._state > 0) then
                lifeoff (s);
                lifeoff (laser_sword);
                return walk (tropos_spaceport_dock_death);
            else
                return 'Меч не активирован.';
            end
        end
        if w == card then
            objs(tropos_spaceport_dock):del(angry_arcadians);
            objs(tropos_spaceport_dock):add(wrench);
            Drop(card);
            tropos_spaceport_dock._angry_arcadians = false;
            card._cash = card._cash - 300;
            lifeoff (s);
            p 'Аркадианец бросил ключ на землю, взял у тебя кредитку, провёл ей по компьютеру у себя на запястье и бросил карточку на землю.^— Так-то лучше, мозгляк. Больше мне не попадайся.^И аркадианцы не спеша ушли.';
        end
        if w == troho_tickets then
            objs(tropos_spaceport_dock):del(angry_arcadians);
            objs(tropos_spaceport_dock):add(wrench);
            Drop(troho_tickets);
            objs(tropos_spaceport_dock):del(troho_tickets);
            tropos_spaceport_dock._angry_arcadians = false;
            lifeoff (s);
            p 'Ты протянул аркадианцу билеты. Глаза его жадно блестнули, он бросил гаечный ключ, вырвал у тебя билеты и нехотя произнёс:^— Ладно, мозгляк. Тебе повезло что я сегодня добрый. Больше мне не попадайся.^И аркадианцы не спеша ушли.';
        end
    end,
    talk = function (s)
        if not s._talked then
            s._talked = true;
            p 'Аркадианец произнёс:^— Ты чего-то не понял, крысёныш? За ошибки надо платить. Три сотни кредитов, возможно, поднимут мне настроение...';
        else
            p 'Ты понял, что уговаривать аркадианцев было бесполезно.';
        end
    end,
    life = function (s)
        s._index = s._index - 1;
        if s._index == 2 then
            if not s._talked then
                s._talked = true;
                p 'Аркадианец произнёс:^— Ты чего-то не понял, крысёныш? За ошибки надо платить. Три сотни кредитов, возможно, поднимут мне настроение...';
            end
        end
        if s._index == 0 then
            p 'Терпение аркадианцев быстро истекло. Тебя свалили на землю и избили.^';
            if have (card) then
                p '— Тебе следовало сразу заплатить мне три сотни. Теперь тебе это обойдётся в пять. — Аркадианец вытащил у тебя кредитку, провёл ей по компьютеру у себя на запястье и бросил карточку на землю.^Пнув тебя на прощание, аркадианцы ушли.';
            else
                p '— Тебе следовало сразу заплатить мне три сотни. Теперь тебе это обойдётся в пять. Не думай что раз у тебя нет с собой кредитки, ты от меня отделаешься. — Аркадианец пробежался пальцами по компьютеру у себя на запястье.^— Я только что отправил запрос в Межгаллактический Банк. Твои деньги теперь принадлежат мне.^Пнув тебя на прощание, аркадианцы ушли.';
            end
            objs(tropos_spaceport_dock):del(angry_arcadians);
            tropos_spaceport_dock._angry_arcadians = false;
            card._cash = card._cash - 500;
            lifeoff (s);
        end
    end,
};


tropos_spaceport = room {
    nam = 'Космопорт Тропоса',
    _custom_visited = false,
    pic = function (s)
        return 'images/tropos_spaceport.png';
    end,
    dsc = [[Ты находился в космопорте Тропоса.]],
    obj = { 'dispenser' },
    way = { vroom ('Док', 'tropos_spaceport_dock'), vroom ('Таможня', 'tropos_custom'), vroom ('Коридор', 'tropos_spaceport_corridor'), vroom ('Город', 'tropos_city_1'), },
    exit = function (s, to)
        if to == tropos_spaceport_dock_death then
            return;
        end
        if to == tropos_city_1 then
            if not have (tropos_pass) then
                p 'Ты попытался выйти из здания космопорта, но на выходе тебя остановил аркадианец.^— Ты что, в первый раз летаешь? Сначала отметь свой прилёт на таможне и получи жетон... Что за глупая некультурная раса... Каждого приходится учить элементарным вещам...';
                return false;
            end
            if caydia._tropos_hints then
                caydia._tropos_hints = false;
                return walk (tropos_hints);
            end
        end
        if to == tropos_custom then
            if caydia._refugee then
                if laser_sword._state > 0 then
                    tropos_custom_officers._index = 1;
                    return;
                else
                    return walk (tropos_custom_pass_through);
                end
            end
        end
    end,
};


tropos_hints = room {
    nam = 'Тропос',
    pic = function (s)
        return 'images/tropos_city_1.png';
    end,
    entered = function (s)
        me():disable_all();
    end,
    dsc = function (s)
        p 'Тебе предстояло найти в этом большом городе повстанцев.^Об их лидере ты знал три вещи.^Первое — его (или её) имя было Беллатрис.^Второе — его (или её) можно было найти в клубе «Осколки».^И последнее. Принципы Беллатрис были очень строгими. Существовал особый кодекс чести, которому все повстанцы должны были подчиняться.^^Информации было немало (о лидерах повстанцев на других планетах ты знал ещё меньше). Но тебя беспокоил тот факт, что большинство аркадианцев на Тропосе были представителями воинственной северной расы. Это делало твою миссию более сложной и опасной. Почему их было здесь так много? Неужели они вплотную подобрались к повстанцам Тропоса? Неужели аркадианцы выяснили, что клуб «Осколки» — пристанище мятежников?^Вопросов было слишком много, и ты решил, что проблемы надо решать по мере их поступления.';
    end,
    obj = { vway('1', '{Далее}', 'tropos_city_1') },
    exit = function (s, to)
        me():enable_all();
    end,
};


tropos_custom = room {
    nam = 'Таможня',
    _visited = false,
    entered = function (s)
        if (laser_sword._state > 0) then
            lifeon(tropos_custom_officers);
            p 'Ты ворвался на таможню, размахивая лазерным мечом...';
            return;
        end
        if not s._visited then
            s._visited = true;
            if have(laser_sword) then
                p 'Ты вошёл на таможню и с ужасом понял, что всё кончено. В комнате помимо двух офицеров таможни находилось несколько вооружённых охранников. Если у тебя найдут меч, шансов на благополучный исход не будет никаких...^Однако аркадианцы слишком полагались на технику. Каждого пришедшего они обыскивали с помощью металлодетектора.^Тебя обыскали, но меч не нашли. Ты вздохнул с облегчением...^';
            else
                p 'Ты зарегистрировал свой прилёт на таможне. Аркадианцы проверили записи в копмьютере, потом обыскали тебя с помощью металлодетектора, но не нашли ничего запрещённого.^';
            end
            if have (wrench) then
                p 'Когда металлодетектор запищал, офицер и охранники напряглись. Но ты показал гаечный ключ и они успокоились.^— Зачем тебе это? — спросил офицер.^Тебе пришлось импровизировать на ходу:^— Дюзы барахлят. Дроиды никак не могут настроить нужный режим. Приходится самому, по старинке...^Офицер посмотрел на тебя внимательно, поразмышлял и сказал:^— Ладно. Будь внимательнее при регулировке. Не хватало мне ещё взрыва корабля...';
            end
        end
        if tropos_custom_officers._passed then
            p 'Как только ты вошёл в комнату, офицер узнал тебя и сказал:^— Что тебе нужно? Тебе уже выдан пропуск. Не задерживай очередь!';
        end
    end,
    pic = function (s)
        return 'images/tropos_custom.png';
    end,
    dsc = [[Ты находился на таможне. В комнате было несколько вооружённых охранников-аркадианцев.]],
    obj = { 'tropos_custom_officers' },
    way = { vroom ('Космопорт', 'tropos_spaceport') },
    exit = function (s)
        if (laser_sword._state > 0) then
            return false;
        end
    end,
};


tropos_custom_officers = iobj {
    nam = 'офицеры',
    _passed = false,
    _index = 0,
    dsc = function (s)
        return 'Всех прибывающих проверяли {два офицера}.';
    end,
    exam = function(s)
        return 'Два аркадианца-таможенника. Они проверяли всех прибывающих.';
    end,
    talk = function (s)
        if not s._passed then
            s._passed = true;
            inv():add(tropos_pass);
            return 'Офицер внимательно посмотрел на тебя и выдал тебе временный пропуск. Потом проверил что-то по компьютеру и сказал:^— У тебя есть шесть часов пока загружается твой корабль. Не опаздывай. И не встревай ни в какие неприятности. Лицензию торговца потерять очень легко...';
        else
            return 'Офицер внимательно посмотрел на тебя и сказал:^— Тебе уже выдали пропуск. Можешь идти.';
        end
    end,
    used = function (s, w)
        if (w == wrench) then
            return 'Ключом ты сможешь уложить одного, а если повезёт, то и обоих офицеров. Но что делать с охранниками?';
        end
        if (w == laser_sword) and (have(laser_sword)) then
            if laser_sword._state == 0 then
                p 'Ты удачно прошёл проверку. Зачем тебе показывать таможенникам свой меч?';
            else
                return walk (tropos_custom_death);
            end
        end
    end,
    life = function (s)
        s._index = s._index + 1;
        if s._index == 1 then
            return 'Аркадианцы, увидев меч, оцепенели...';
        end
        if s._index == 2 then
            lifeoff (laser_sword);
            lifeoff (tropos_custom_officers)
            return walk (tropos_custom_death);
        end
    end,
};


tropos_pass = iobj {
    nam = 'пропуск',
    dsc = function (s)
        return 'Ты заметил {пропуск}.';
    end,
    exam = function(s)
        return 'Пропуск, разрешающий находиться на Тропосе в течение суток.';
    end,
    take = function (s)
        return 'Ты взял пропуск.';
    end,
    drop = function (s)
        return 'Ты бросил пропуск.';
    end,
    useit = function (s)
        return 'Обычный кусок пластика. Как его можно использовать?';
    end,
};


tropos_custom_death = room {
    nam = 'Таможня',
    _visited = false,
    entered = function (s)
        me():disable_all();
        lifeoff (caydia);
        set_music('music/damask_rose.it');
    end,
    pic = function (s)
        return 'images/tropos_custom_death.png';
    end,
    dsc = function (s)
        if (tropos_custom_officers._index > 0) then
            return 'Ты успел взмахнуть мечом и снести голову офицеру. Но большего тебе сделать не удалось. Охранники изрешетили тебя на месте...';
        else
            return 'Ты выхватил лазерный меч и снёс голову офицеру. Но большего тебе сделать не удалось. Охранники изрешетили тебя на месте...';
        end
    end,
    obj = { vway('3', '{Далее}', 'the_end') },
};


tropos_custom_pass_through = room {
    nam = 'Таможня',
    entered = function (s)
        me():disable_all();
    end,
    pic = function (s)
        return 'images/tropos_custom.png';
    end,
    dsc = [[Как только ты вошёл на таможню, тебя окружили охранники.^— Этого на допрос, — кивнул в твою сторону офицер.]],
    obj = { vway('3', '{Далее}', 'tropos_interrogation_room') },
    exit = function (s)
        me():enable_all();
    end,
};


tropos_spaceport_corridor = room {
    nam = 'Коридор',
    pic = function (s)
        return 'images/tropos_spaceport_corridor.png';
    end,
    dsc = [[Ты находился в одном из многочисленных коридоров космопорта. Знаки на стенах символизировали, что дальше проход закрыт.]],
    way = { vroom ('Космопорт', 'tropos_spaceport'), },
};


tropos_interrogation_room = room {
    nam = 'Комната допросов',
    entered = function (s)
        p 'Тебя втолкнули в тёмную комнату и заперли за тобой дверь. Через мгновение в глаза тебе ударил свет прожекторов. Перед тобой сидел офицер полиции Тропоса. Не давая тебе опомнится, он рявкнул:^— Ты почему пытался улизнуть от полицейского корабля?';
    end,
    pic = function (s)
        if tropos_interrogation_officer._live then
            return 'images/tropos_interrogation_room.png';
        else
            return 'images/tropos_interrogation_room_death.png';
        end
    end,
    dsc = [[Ты находился в комнате допросов. В глаза тебе бил свет прожекторов.]],
    obj = { 'tropos_interrogation_officer', 'tropos_interrogation_room_desk' },
};


tropos_interrogation_officer = iobj {
    nam = 'полицейский',
    _live = true,
    _index = 0,
    dsc = function (s)
        if s._live then
            return 'Перед тобой за столом сидел {полицейский}.';
        else
            return 'Труп {полицейского} лежал на полу.';
        end
    end,
    exam = function(s)
        if s._live then
            return 'Полицейский очень внимательно наблюдал за тобой.';
        else
            return 'Ты обыскал труп полицейского, но ничего не нашёл.';
        end
    end,
    talk = function (s)
        if s._live then
            return walk (tropos_interrogation_room_dlg_1);
        else
            return 'Если у тебя было желание поговорить с офицером, следовало сделать это до того, как убивать его...';
        end
    end,
    used = function (s, w)
        if (w == wrench) then
            return walk (tropos_interrogation_room_wrench);
        end
        if (w == laser_sword) and (have(laser_sword)) then
            if laser_sword._state == 0 then
                p 'Ты стоял в нескольких шагах от полицейского. Вряд ли ты успеешь добежать и ударить его рукояткой меча...';
            else
                lifeoff (s);
                s._live = false;
                caydia._frags = caydia._frags + 1;
                p 'Не давая полицейскому опомнится, ты взмахнул мечом. Труп полицейского рухнул на пол. Ты застыл, ожидая что в комнату ворвутся охранники. Но всё было тихо.^Похоже, стены в комнате для допросов были звуконепроницаемые — аркадианцы не хотели слушать крики допрашиваемых. Сейчас этот факт сыграл против них...';
            end
        end
    end,
    life = function (s)
        s._index = s._index + 1;
        if s._index == 1 then
            return 'Полицейский, увидев меч, оцепенел...';
        end
        if s._index == 2 then
            lifeoff (laser_sword);
            lifeoff (tropos_custom_officers)
            return walk (tropos_interrogation_room_death);
        end
    end,
};


tropos_interrogation_room_wrench = room {
    nam = 'Комната допросов',
    entered = function (s)
        me():disable_all();
        lifeoff (caydia);
        lifeoff (tropos_interrogation_officer);
        set_music('music/damask_rose.it');
    end,
    pic = function (s)
        return 'images/tropos_interrogation_room.png';
    end,
    dsc = function (s)
        return 'Ты взмахнул ключом. Но полицейский был опытным и был готов к любому повороту событий. Он без труда увернулся.';
    end,
    obj = { vway('3', '{Далее}', 'tropos_interrogation_room_death') },
};


tropos_interrogation_room_death = room {
    nam = 'Комната допросов',
    entered = function (s)
        me():disable_all();
        lifeoff (caydia);
        set_music('music/damask_rose.it');
    end,
    pic = function (s)
        return 'images/tropos_interrogation_room_death.png';
    end,
    dsc = function (s)
        if (laser_sword._state > 0) then
            return 'Полицейский нажал кнопку у себя на столе. Ты взмахнул мечом и убил полицейского. Но тут же в комнату ворвались охранники. Ты успел разрубить одного из них, но другие расстреляли тебя в упор...';
        else
            return 'Полицейский нажал кнопку у себя на столе. Тут же в комнату ворвались охранники.^— Огонь! — взвигнул полицейский.^Охранники открыли беспорядочную пальбу.^Одним из выстрелов был убит полицейский, но тебе тоже выжить не удалось...';
        end
    end,
    obj = { vway('3', '{Далее}', 'the_end') },
};


tropos_interrogation_room_desk = iobj {
    nam = 'стол',
    _examined = false,
    dsc = function (s)
        if not s._examined then
            return 'Единственным предметом в комнате был {стол}.';
        else
            return 'Единственным предметом в комнате был {стол}, на краю которого располагались кнопки —';
        end
    end,
    exam = function(s)
        if tropos_interrogation_officer._live then
            return 'С того места, где ты стоял, не было видно ничего особенного. Это был обычный гладкий стол.';
        else
            if not s._examined then
                s._examined = true;
                tropos_interrogation_room_desk_red:enable();
                tropos_interrogation_room_desk_yellow:enable();
                tropos_interrogation_room_desk_blue:enable();
            end
            return 'Стол был гладкий. На краю располагались три кнопки — синяя, красная и жёлтая.';
        end
    end,
    obj = { 'tropos_interrogation_room_desk_red', 'tropos_interrogation_room_desk_yellow', 'tropos_interrogation_room_desk_blue' },
};


tropos_interrogation_room_desk_red = iobj {
    nam = 'красная кнопка',
    dsc = function (s)
        return '{красная},';
    end,
    exam = function(s)
        return 'Обычная круглая кнопка красного цвета. Никаких надписей на кнопке не было.';
    end,
    useit = function (s)
        return walk (tropos_interrogation_room_death_red);
    end,
}:disable();


tropos_interrogation_room_death_red = room {
    nam = 'Комната допросов',
    entered = function (s)
        me():disable_all();
        lifeoff (caydia);
        lifeoff (laser_sword)
        set_music('music/damask_rose.it');
    end,
    pic = function (s)
        return 'images/tropos_interrogation_room_death.png';
    end,
    dsc = function (s)
        return 'Ты осторожно нажал красную кнопку. Через мгновение в комнату вошли охранники. Им не потребовалось много времени оценить обстановку. Труп полицейского на полу красноречиво свидетельствовал о произошедших событиях.^Ты пробовал сопротивляться, но это было бесполезно. Тебя расстреляли в упор...';
    end,
    obj = { vway('3', '{Далее}', 'the_end') },
};


tropos_interrogation_room_desk_yellow = iobj {
    nam = 'жёлтая кнопка',
    dsc = function (s)
        return ' {жёлтая},';
    end,
    exam = function(s)
        return 'Обычная круглая кнопка жёлтого цвета. Никаких надписей на кнопке не было.';
    end,
    useit = function (s)
        tropos_spaceport_underground._opened = true;
        return 'Ты нажал на кнопку, но ничего не произошло.';
    end,
}:disable();


tropos_interrogation_room_desk_blue = iobj {
    nam = 'синяя кнопка',
    _pressed = false,
    dsc = function (s)
        return ' {синяя}.';
    end,
    exam = function(s)
        return 'Обычная круглая кнопка синего цвета. Никаких надписей на кнопке не было.';
    end,
    useit = function (s)
        if not s._pressed then
            s._pressed = true;
            objs(tropos_interrogation_room):add(tropos_interrogation_room_passage);
            ways(tropos_interrogation_room):add(vroom ('Тайный ход', 'tropos_spaceport_underground'));
            return 'Ты нажал на кнопку, и в стене бесшумно отодвинулась панель, открывая проход.';
        else
            return 'Не было смысла нажимать на кнопку ещё раз. Проход был открыт.';
        end
    end,
}:disable();


tropos_interrogation_room_passage = iobj {
    nam = 'тайный ход',
    dsc = function (s)
        return 'В стене за отодвинутой панелью был виден {проход}.';
    end,
    exam = function(s)
        return 'Ты аккуратно заглянул за панель. Ступени уходили вниз, в темноту.';
    end,
    useit = function (s)
        return walk (tropos_spaceport_underground);
    end,
};


tropos_interrogation_room_dlg_1 = dlg{
    _success = false,
    nam = function (s)
        return 'Комната допросов';
    end,
    pic = function(s)
        return 'images/tropos_interrogation_room.png';
    end,
    enter = function (s)
        if (rnd(100) > 50) then
            s._success = true;
        else
            s._success = false;
        end
        me():disable_all();
    end,
    dsc = [[Полицейский, выпучив глаза, рявкнул:^— Сколько раз повторять вопрос? Ты почему пытался улизнуть от полицейского корабля?]],
    obj = {
            [1] = phr('Господин офицер! Я понятия не имел, что этот корабль пилотировал один из всемогущих хозяев! Моё единственное желание — служить моим хозяевам. Я подумал что это пираты. Я опасался за сохранность своего груза.', nil, [[if tropos_interrogation_room_dlg_1._success then return walk (tropos_interrogation_room_2); else return walk (tropos_interrogation_room_precell); end]]),
--            [2] = phr('', 'q2', [[poff(1, 2);]]),
          },
    exit = function (s, t)
        me():enable_all();
    end,
};


tropos_interrogation_room_2 = room {
    nam = 'Комната допросов',
    entered = function (s)
        me():disable_all();
    end,
    pic = function (s)
        return 'images/tropos_interrogation_room.png';
    end,
    dsc = [[— Пираты! — фыркнул полицейский. — Я не устаю поражаться челоческой глупости. Мы управляем галлактикой. Ни один пират не смеет появиться в космосе! Вы, люди, продолжаете думать так, как будто живёте в средневековье. Вам давно следует уяснить, что после образования Империи повсюду воцарился мир и спокойствие!^Полицейский посмотрел на тебя внимательно.^— Но есть преступления пострашнее тупости. Ты можешь идти. Но я буду присматривать за тобой...^Ты понял, что он прав. Ты совершил глупость и поставил под угрозу выполнение своей миссии...^Полицейский нажал кнопку у себя на столе. Тут же в комнату вошли охранники.^— Всё в порядке, — сказал полицейский. — Он настолько глуп, что абсолютно безопасен. Научите его уму-разуму, но отпустите его. Он должен отвезти завтра на Радикс важный груз.^Охранники вывели тебя из комнаты, провели по зданию космопорта, сопровождая весь путь пинками и зуботычинами. Удары были не сильные, а скорее показными, рассчитанными на остальных людей, которые присутстовали в это время в космопорте.]],
    obj = { vway('3', '{Далее}', 'tropos_interrogation_room_3') },
    exit = function (s)
        me():enable_all();
    end,
};


tropos_interrogation_room_3 = room {
    nam = 'Таможня',
    entered = function (s)
        me():disable_all();
    end,
    pic = function (s)
        return 'images/tropos_custom.png';
    end,
    dsc = [[Охранники ввели тебя на таможню и сказали офицерам:^— Выдайте пропуск этой глупой обезьяне.^После чего, на прощание пнув тебя, удалились.]],
    obj = { vway('3', '{Далее}', 'tropos_custom') },
    exit = function (s)
        tropos_custom._visited = true;
        me():enable_all();
    end,
};


tropos_interrogation_room_precell = room {
    nam = 'Комната допросов',
    entered = function (s)
        me():disable_all();
        set_music('music/fear2.mod');
    end,
    pic = function (s)
        return 'images/tropos_interrogation_room.png';
    end,
    dsc = [[— Ты лжёшь! — взвизгнул полицейский. — Ты прекрасно знаешь что в наши дни больше нет никаких космических пиратов! Мы держим под контролем всю галлактику! Должно быть ты скрываешь что-то... И я собираюсь выяснить что именно!^Внезапно раздался звонок. Полицейский посмотрел на компьютер у себя на запястье.^— Ага! Похоже при рейде мы схватили одного из твоих дружков-мятежников! Мы давно охотились за ним...^Полицейский нажал кнопку у себя на столе. В комнату вошли охранники.^— Я отлучусь по важному делу. Этого — в камеру. Пусть посидит пока. Не бейте его, он мне нужен свежим. Допрос я проведу лично, когда вернусь.]],
    obj = { vway('3', '{Далее}', 'tropos_interrogation_room_precell_2') },
    exit = function (s)
        me():enable_all();
    end,
};


tropos_interrogation_room_precell_2 = room {
    nam = 'Камера',
    entered = function (s)
        me():disable_all();
    end,
    pic = function (s)
        return 'images/tropos_spaceport_prison.png';
    end,
    dsc = [[Тебя провели в камеру. Дверь за тобой захлопнулась. К счастью, тебя не обыскали. Полицейский, похоже, очень торопился и просто забыл предупредить об этом охранников.^Но всё равно, положение твоё было незавидным. Ты, фактически, провалил миссию. Тебя учили терпеть боль, но в пытках аркадианцы знали толк. Рано или поздно ты выложишь им всё, что знаешь. И тогда второго шанса для освобождения Земли уже не будет...]],
    obj = { vway('3', '{Далее}', 'tropos_spaceport_prison') },
    exit = function (s)
        me():enable_all();
    end,
};


tropos_spaceport_underground = room {
    nam = 'Подземелье',
    _opened = false,
    entered = function (s)
        caydia._tropos_hints = false;
        p 'Ты спустился в потайной лаз.';
    end,
    pic = function (s)
        return 'images/tropos_spaceport_underground.png';
    end,
    dsc = [[Ты находился в подземелье. Ступени вели в комнату допросов. Вверху располагалась решётка.]],
    way = { vroom ('Комната допросов', 'tropos_interrogation_room'), vroom ('Вверх', 'tropos_hints') },
    exit = function (s, to)
        if to == tropos_hints then
            if not s._opened then
                p 'Ты попытался поднять решётку, но она была заперта.';
                return false;
            end
        end
    end,
};


tropos_spaceport_prison = room {
    nam = 'Камера',
    entered = function (s)
        lifeon (tropos_spaceport_kc5);
    end,
    pic = function (s)
        return 'images/tropos_spaceport_prison.png';
    end,
    dsc = [[Ты находился в камере.]],
    obj = { 'tropos_spaceport_prison_walls', 'tropos_spaceport_prison_door' },
};


tropos_spaceport_prison_walls = iobj {
    nam = 'стены',
    _cutted = false,
    dsc = function (s)
        return 'Тебя окружали холодные {стены} камеры.';
    end,
    exam = function(s)
        if not limcom._prison_plan then
            return 'Стены будто кричали:^— Ты умрёшь здесь!^Ты тщательно осмотрел стены, но не нашёл ничего интересного.';
        else
            return 'Теперь ты точно знал за какой из стен идёт воздуховод.';
        end
    end,
    used = function (s, w)
        if w == laser_sword then
            if laser_sword._state > 0 then
                if not limcom._prison_plan then
                    return 'В стенах могли проходить силовые кабели. Если ты попадёшь в него, взрыв уничтожит половину космопорта. Ты уже достаточно совершил ошибок. Тебе нужно было действовать наверняка.';
                else
                    if not s._cutted then
                        s._cutted = true;
                        objs(tropos_spaceport_prison):add(tropos_spaceport_prison_way);
                        ways(tropos_spaceport_prison):add(vroom ('Дыра', 'tropos_spaceport_underground_way'));
                        return 'Ты прорезал в стене дыру.';
                    else
                        return 'Ты уже прорезал в стене дыру.';
                    end
                end
            else
                return 'Лазерный меч не активирован.';
            end
        end
        if w == wrench then
            return 'Ты ударил ключом по стене. Материал был твёрдым, но пластичным. Ключ здесь был бесполезен.';
        end
    end,
};


tropos_spaceport_prison_door = iobj {
    nam = 'дверь',
    dsc = function (s)
        return 'Наружу вела {дверь} с решёткой.';
    end,
    exam = function(s)
        return 'Похоже, дверь была защищена силовым полем.';
    end,
    used = function (s, w)
        if w == laser_sword then
            return 'Дверь была защищена силовым полем. Если луч соприкоснётся с полем, взрыв уничтожит половину космопорта.';
        end
        if w == wrench then
            return 'Ты ударил ключом по двери. Защитное поле отбросило его назад. Ключ здесь был бесполезен.';
        end
    end,
};


tropos_spaceport_kc5 = iobj {
    nam = 'дроид KC5',
    _index = 0,
    _functional = true,
    _screwed = true,
    _have_memory = true,
    dsc = function (s)
        if not s._functional then
            return 'На полу лежал {дроид KC5}.';
        end
        if s._index == 21 then
            return 'В стене открылся небольшой люк и в камеру бесшумно вкатился {дроид KC5}.';
        end
        if s._index == 22 then
            return '{Дроид KC5} начал быстро чистить пол своими манипуляторами.';
        end
        if s._index == 23 then
            return '{Дроид KC5} продолжал чистить пол.';
        end
        if s._index == 24 then
            return '{Дроид KC5} закончил чистить пол и поехал к люку в стене.';
        end
    end,
    exam = function(s)
        if not s._screwed then
            return 'На полу камеры лежал дроид KC5 с открытой крышкой блока памяти.';
        end
        if s._functional then
            return 'Такой же дроид обслуживает «Кайдию».';
        end
        if s._screwed then
            tropos_spaceport_kc5_cover:enable();
            return 'Ты осмотрел дроида и обнаружил на его корпусе крышку.';
        end
    end,
    used = function (s, w)
        if w == laser_sword then
            if not tropos_spaceport_kc5._functional then
                return 'Ты уже уничтожил дроида.';
            end
            if laser_sword._state == 0 then
                return 'Меч не активирован.';
            else
                lifeoff (tropos_spaceport_kc5);
                tropos_spaceport_kc5._functional = false;
                return 'Ты взмахнул мечом и разрезанный пополам дроид рухнул на пол.';
            end
        end
        if w == wrench then
            if tropos_spaceport_kc5._functional then
                lifeoff (tropos_spaceport_kc5);
                tropos_spaceport_kc5._functional = false;
                return 'Ты размахнулся и ударил дроида ключом. Дроид рухнул на пол.';
            else
                return 'Дроид уже сломан. Нет смысла бить его ключом.';
            end
        end
    end,
    obj = { 'tropos_spaceport_kc5_cover', 'tropos_spaceport_kc5_memory' },
    life = function (s)
        s._index = s._index + 1;
        if s._index > 25 then
            s._index = 0;
        end
        if s._index == 21 then
            objs(tropos_spaceport_prison):add(s);
            objs(tropos_spaceport_prison):add(tropos_spaceport_prison_hatch);
--            return 'ENTER';
        end
        if s._index == 25 then
            objs(tropos_spaceport_prison):del(s);
            objs(tropos_spaceport_prison):add(tropos_spaceport_prison_hatch);
            return 'Дроид KC5 бесшумно покинул камеру и люк закрылся за ним.';
        end
--        return 's='..s._index;
    end,
};


tropos_spaceport_kc5_cover = iobj {
    nam = 'крышка',
--    _opened = false,
    dsc = function (s)
        return 'В корпусе дроида была {крышка}.';
    end,
    exam = function(s)
        if tropos_spaceport_kc5._screwed then
            return 'Крышка была привинчена к корпусу.';
        else
            tropos_spaceport_kc5_memory:enable();
            return 'Открытая крышка вела в блок памяти дроида.';
        end
    end,
    used = function (s, w)
        if w == laser_sword then
            return 'Крышка была не очень большой. Мечом открыть крышку было бы проблематично.';
        end
        if w == wrench then
            if tropos_spaceport_kc5._screwed then
                tropos_spaceport_kc5._screwed = false;
                return 'Гаечным ключом ты открутил болты, на которых крепилась крышка.';
            else
                return 'Ты уже открыл крышку.';
            end
        end
    end,
}:disable();


tropos_spaceport_kc5_memory = iobj {
    nam = 'блок памяти',
    dsc = function (s)
        return 'Ты заметил {блок памяти} дроида.';
    end,
    exam = function(s)
        return 'Блок памяти дроида KC5.';
    end,
    used = function (s, w)
        if w == laser_sword then
            return 'Зачем уничтожать блок памяти?';
        end
        if w == wrench then
            return 'Гаечный ключ здесь не поможет...';
        end
    end,
    take = function (s)
        if tropos_spaceport_kc5._have_memory then
            tropos_spaceport_kc5._have_memory = false;
            return 'Ты аккуратно выдернул провода, ведущие к шине внутри робота и вытащил блок памяти.';
        else
            return 'Ты взял блок памяти дроида.';
        end
    end,
    drop = function (s)
        return 'Ты бросил блок памяти';
    end,
}:disable();


tropos_spaceport_prison_hatch = iobj {
    nam = 'люк',
    dsc = function (s)
        return 'В стене был виден небольшой {люк}.';
    end,
    exam = function(s)
        return 'Через этот люк в камеру попал дроид KC5.';
    end,
    useit = function (s)
        return 'Ты попытался протиснуться в люк, но понял, что не сможешь пролезть. Люк был слишком узким.';
    end,
};


tropos_spaceport_prison_way = iobj {
    nam = 'дыра',
    dsc = function (s)
        return 'В стене была прорезана большая {дыра}.';
    end,
    exam = function(s)
        return 'Дыра вела в воздуховод.';
    end,
    useit = function (s)
        return walk (tropos_spaceport_underground_way);
    end,
};


tropos_spaceport_underground_way = room {
    nam = 'Подземелье',
    entered = function (s)
        caydia._tropos_hints = false;
        p 'Ты пролез через дыру в воздуховод. Он уходил вниз, в темноту. Ты попытался цепляться за стены, но не удержался и рухнул вниз.';
    end,
    pic = function (s)
        return 'images/tropos_spaceport_underground.png';
    end,
    dsc = [[Ты находился в подземелье. Ступени вели к закрытой двери. Вверху располагалась решётка. Немного поразмыслив, ты понял, что закрытая дверь ведёт в сторону космопорта. Тебе нужно было пробираться в город...]],
    way = { vroom ('Решётка', 'tropos_hints') },
};


tropos_city_1 = room {
    nam = '...',
    entered = function (s)
        me():disable_all();
    end,
    pic = function (s)
        return 'images/tropos_city_1.png';
    end,
    dsc = [[ПОЗДРАВЛЯЮ!^Вы прошли альфа-версию игры!^Хотите знать что случилось на Тропосе и чем закончились приключения агента ИЗИКО? Следите за обновлениями!]],
};
